GroupChannel.HeartbeatThread (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.group.GroupChannel.HeartbeatThread class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.group
Class GroupChannel.HeartbeatThread

    java.lang.Object
      java.lang.Thread
          org.apache.catalina.tribes.group.GroupChannel.HeartbeatThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  GroupChannel

    public static class GroupChannel.HeartbeatThread

extends java.lang.Thread

Title: Internal heartbeat thread

Description: if `Channel.getHeartbeat()==true` then a thread of this class is created

Version:
  1.0

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected GroupChannel` | `channel`
`protected static int` | `counter`
`protected boolean` | `doRun`
`protected static Log` | `log`
`protected long` | `sleepTime`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`GroupChannel.HeartbeatThread(GroupChannel channel, long sleepTime)`

Method Summary
`protected static int` | `inc()`
`void` | `run()`
`void` | `stopHeartbeat()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static Log log

### counter

    protected static int counter

### doRun

    protected boolean doRun

### channel

    protected GroupChannel channel

### sleepTime

    protected long sleepTime

Constructor Detail

### GroupChannel.HeartbeatThread

    public GroupChannel.HeartbeatThread(GroupChannel channel,
                                        long sleepTime)

Method Detail

### inc

    protected static int inc()

### stopHeartbeat

    public void stopHeartbeat()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.